import { Component } from '@angular/core';
import { LinkService } from '../service/link.service';
import { RecordModel } from 'pocketbase';

@Component({
  selector: 'app-dashboard',
  imports: [],
  templateUrl: './dashboard.component.html',
  styleUrl: './dashboard.component.css'
})
export class DashboardComponent {
  public links: any[] = [];

  constructor(private linkService: LinkService) { };

  ngOnInit(): void {
    this.linkService.getLinks().then(links => {
      this.links = links;
    });
  }
}
